org.apache.lucene.search

## Enum SortedNumericSelector.Type

- java.lang.Object
- - java.lang.Enum<SortedNumericSelector.Type>
  - - org.apache.lucene.search.SortedNumericSelector.Type

- All Implemented Interfaces:
    Serializable, Comparable<SortedNumericSelector.Type>
  Enclosing class:
    SortedNumericSelector

      public static enum SortedNumericSelector.Type
      extends Enum<SortedNumericSelector.Type>

  Type of selection to perform.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MAX` Selects the maximum value in the set
    `MIN` Selects the minimum value in the set

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SortedNumericSelector.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SortedNumericSelector.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MIN

          public static final SortedNumericSelector.Type MIN

      Selects the minimum value in the set

    - #### MAX

          public static final SortedNumericSelector.Type MAX

      Selects the maximum value in the set

  - ### Method Detail

    - #### values

          public static SortedNumericSelector.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SortedNumericSelector.Type c : SortedNumericSelector.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SortedNumericSelector.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.